Bug 823352 - Review Request: rubygem-chef - a client for the Chef config management system
Summary: Review Request: rubygem-chef - a client for the Chef config management system
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 823344 1114146 821285 823331 823332 823333 823334 823337 823338 823343 902240 1079111
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-21 01:48 UTC by Jonas Courteau
Modified: 2018-01-31 02:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Jonas Courteau 2012-05-21 01:48:38 UTC
Spec URL: https://github.com/jcourteau/rubygems-rpms/blob/master/fc17/rubygem-chef/rubygem-chef.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-chef-0.10.10-1.fc17.src.rpm

Description: A systems integration framework, built to bring the benefits of configuration
management to your entire infrastructure.

------

I'm looking for a sponser for this package, and its dependancies.  I'm working for Opscode, the developer for chef, and will be taking the RPM package maintainer role on a long term.  The goal is to get the chef client (this package) into the next Fedora (or even Fedora 17 if possible) as well as EPEL.

There's a pretty large list of packages that are dependencies for this; see my other package submissions for those.  In addition, rubygem-net-ssh needs to be updated; I'm contacting the maintainer of that to get that sorted out.

The specs, patches, and extra files beyond the main gem for chef and all its dependencies can be found on my github site - https://github.com/jcourteau/rubygems-rpms/tree/master/fc17

Comment 1 Jonas Courteau 2012-05-21 01:56:21 UTC
The other packages that are dependencies to this package that I've submitted, that also need review and sponsorship:

rubygem-bunny - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-extlib - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-ipaddress - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-mixlib-authentication - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-mixlib-cli - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-mixlib-config - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-mixlib-log - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-mixlib-shellout - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-moneta - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-net-ssh-multi - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-ohai - https://bugzilla.redhat.com/show_bug.cgi?id=823352
rubygem-yajl-ruby - https://bugzilla.redhat.com/show_bug.cgi?id=823352

Comment 2 Michael S. 2012-05-21 14:36:58 UTC
Seems you put the same url for each package, it took 2 attempt before seeing I was on the same bug each time :)

Comment 3 Jonas Courteau 2012-05-22 01:48:47 UTC
Oh no, copy/paste fail.  Sorry about that!

Updated list:

rubygem-bunny - https://bugzilla.redhat.com/show_bug.cgi?id=821285
rubygem-extlib - looks like someone else is working on this, closed.
rubygem-ipaddress - https://bugzilla.redhat.com/show_bug.cgi?id=823340
rubygem-mixlib-authentication - https://bugzilla.redhat.com/show_bug.cgi?id=823331
rubygem-mixlib-cli - https://bugzilla.redhat.com/show_bug.cgi?id=823333
rubygem-mixlib-config - https://bugzilla.redhat.com/show_bug.cgi?id=823334
rubygem-mixlib-log - https://bugzilla.redhat.com/show_bug.cgi?id=823332
rubygem-mixlib-shellout - https://bugzilla.redhat.com/show_bug.cgi?id=823337
rubygem-moneta - https://bugzilla.redhat.com/show_bug.cgi?id=823338
rubygem-net-ssh-multi - https://bugzilla.redhat.com/show_bug.cgi?id=823343
rubygem-ohai - https://bugzilla.redhat.com/show_bug.cgi?id=823344
rubygem-yajl-ruby - https://bugzilla.redhat.com/show_bug.cgi?id=823351

Comment 4 Parag AN(पराग) 2012-05-22 09:01:16 UTC
The package review submission request should follow 
Review Request: <main package name here> - <short summary here> 

I see you have not added short summary to all your package review requests.

Comment 5 Jonas Courteau 2012-05-28 02:52:37 UTC
Updated .spec and SRPM; should now be closer to packaging guidelines.
Spec
https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-chef/rubygem-chef.spec

SRPM
http://rpms.courteau.org/fedora/rubygem-chef-0.10.10-2.fc17.src.rpm

There may be an argument to be made about naming this package chef-client instead of rubygem-chef.

Comment 6 Bobby Powers 2012-08-30 23:47:51 UTC
any updates? I'm interested in becoming a packager, if it would be helpful I'd be interested in doing reviews of these packages.

Comment 7 Matthew Miller 2012-09-19 17:39:06 UTC
Hey, this looks like it's gotten stuck / lost. Sorry about that. We want Chef in Fedora. Jonas, are you still into working on this?

Comment 8 Matthew Miller 2012-09-24 15:46:33 UTC
PS: I do think it'd be useful for package discoverability to have this named "chef-client".

Comment 9 Julian C. Dunn 2012-12-04 04:55:18 UTC
(In reply to comment #8)
> PS: I do think it'd be useful for package discoverability to have this named
> "chef-client".

Hey Matt,

I'd like to work on this now, given that Jonas seems to have lost interest/disappeared. Is it possible for you to help me review some of these packages and get them into Fedora? To start I need the new rubygem-moneta package reviewed and undeprecated. (See bug #823338)

Comment 10 Matthew Miller 2012-12-04 20:46:38 UTC
Cool. Yes, I'll take a look.

Comment 11 Vít Ondruch 2012-12-14 13:29:20 UTC
Julian, could you please update the spec to the latest chef? Also, could you please check the jsou dependency with upstream? The latest chef specifies dependency on json <= 1.6.1, >= 1.4.4, but we have in Fedora json 1.7.5 already, if I am not mistaken.

Comment 12 Julian C. Dunn 2012-12-28 03:06:52 UTC
The feedback I got from upstream (informally) is that they have found ABI breakage even in minor upgrades to json, which is why they pinned it. I will work with them to try and remove it so that this package can proceed.

In the meantime there are the other ~10 dependencies that are needed in Fedora before Chef can be imported. I am working on those as well.

Comment 13 Julian C. Dunn 2014-07-01 04:50:31 UTC
After a lengthy delay, here are updated packages for review.

http://fedorapeople.org/~jdunn/rubygem-chef/rubygem-chef.spec
http://fedorapeople.org/~jdunn/rubygem-chef/rubygem-chef-11.12.8-1.fc21.src.rpm

Note that there are several dependencies not yet in Fedora, so in order to properly build we need rubygem-ohai and rubygem-ffi-yajl approved & imported, as well as rubygem-diff-lcs updated to 1.2.5. See the blocking bugs for more details.


Note You need to log in before you can comment on or make changes to this bug.